Bug Hunting Session
Bug 128209 - CRASH: Opening file with rotated text
Summary: CRASH: Opening file with rotated text
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-10-17 12:33 UTC by Xisco Faulí
Modified: 2019-10-21 11:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-17 12:33:45 UTC
Steps to reproduce:
1. Open attachment 111823 [details] from bug 88091

-> Crash

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: 01d28b0b85f99590c0581e4bbf636bc9281e0571
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-10-17 12:35:30 UTC
Regression introduced by:

https://git.libreoffice.org/core/commit/c50e44b270bc3048ff9c1a000c3afed1dab9e0bf

author	Gülşah Köse <gulsah.kose@collabora.com>	2019-10-03 08:37:00 +0300
committer	Gülşah Köse <gulsah.kose@collabora.com>	2019-10-16 10:44:00 +0200
commit	c50e44b270bc3048ff9c1a000c3afed1dab9e0bf (patch)
tree	d152dc897d7a54e0e01a1b594b1830f9a45f1e19
parent	e1b08d46d1861bfca88af5d8c7137419bcc131aa (diff)
tdf#126060 Handle text camera z rotation while pptx import.

Bisected with: bibisect-linux64-6.4

Adding Cc: to Gülşah Köse
Comment 2 Commit Notification 2019-10-18 06:54:42 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/49e0127419dbad8a75f1899db02115a2fe54aacd

tdf#128209 Add check for crash handling 3D rotation.

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-10-21 11:09:57 UTC
Verified in

Version: 6.4.0.0.alpha1+
Build ID: de4839e66d3d195315729b95cc144cdab96b6e74
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Gülşah Köse, thanks for fixing this issue!